Author Topic: lutris need "#pip3 install Pillow" to launch  (Read 631 times)

dufresnep

  • Newbie
  • *
  • Posts: 28
  • Karma: +0/-0
lutris need "#pip3 install Pillow" to launch
« on: Mon Oct 21 14:23:48 2019 »
Before, I was getting:
root [ /home/paul ]# lutris
Traceback (most recent call last):
  File "/usr/bin/lutris", line 31, in <module>
    from lutris.gui.application import Application
  File "/usr/lib/python3.7/site-packages/lutris/gui/application.py", line 34, in <module>
    from lutris.game import Game
  File "/usr/lib/python3.7/site-packages/lutris/game.py", line 14, in <module>
    from lutris.runners import import_runner, InvalidRunner, wine
  File "/usr/lib/python3.7/site-packages/lutris/runners/wine.py", line 10, in <module>
    from lutris.gui.dialogs import FileDialog
  File "/usr/lib/python3.7/site-packages/lutris/gui/dialogs/__init__.py", line 6, in <module>
    from lutris.gui.widgets.utils import open_uri
  File "/usr/lib/python3.7/site-packages/lutris/gui/widgets/utils.py", line 5, in <module>
    from PIL import Image
ModuleNotFoundError: No module named 'PIL'

Now that I have done:
sudo su
pip3 install Pillow
it does launched (the window is under the one of Firefox launched about the ... term of use? )

unsure if there was a way for the package to automatically include the Pillow python module.